org.apache.felix.metatype

## Class OptionalAttributes

- java.lang.Object
- - org.apache.felix.metatype.OptionalAttributes

Direct Known Subclasses:
  AD, Attribute, Designate, DesignateObject, MetaData, OCD

    public class OptionalAttributes
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`OptionalAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addOptionalAttribute(String name, String value)`
`Map` `getOptionalAttributes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OptionalAttributes

    public OptionalAttributes()

### Method Detail

#### addOptionalAttribute

    public void addOptionalAttribute(String name,
                                     String value)

#### getOptionalAttributes

    public Map getOptionalAttributes()